"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.examples = exports.abstract = exports.labels = void 0;
const docs_ui_code_snippet_1 = require("@watheia/docs.ui.code-snippet");
const docs_theme_theme_compositions_1 = require("@watheia/docs.theme.theme-compositions");
exports.labels = ["react", "ui-component", "code snippet"];
exports.abstract = "A syntax highlighter for React snippets.";
exports.examples = [
    {
        scope: {
            CodeSnippet: docs_ui_code_snippet_1.CodeSnippet,
            ThemeCompositions: docs_theme_theme_compositions_1.ThemeCompositions
        },
        title: "Using the Code Snippet",
        description: `The Code Snippet uses the react-syntax-highlighter library. Use it to add snippets
      of code to your documentation.`,
        code: `
<ThemeCompositions>
    <div
    style={{
        display: 'inline-flex',
        alignItems: 'center',
        maxWidth: '600px',
    }}
    >
    <CodeSnippet>
        function HelloWorld () {}
    </CodeSnippet>
    </div>
</ThemeCompositions>
`
    }
];
//# sourceMappingURL=code-snippet.docs.js.map